<section>
    <h1 class="text-2xl font-bold my-4">Sign-up</h1>
    <div class="flex justify-center">
        <form (submit)="signup()" class="w-2/3">
            <div class="flex flex-col">
                <label for="firstname">Username</label>
                <input class="bg-surface1" [ngClass]="{'border border-maroon ': this.usernameEmpty}" type="text" id="username" [(ngModel)]="form.username" name="username" />
            </div>
            <div class="flex flex-col">
                <label for="firstname">First Name</label>
                <input class="bg-surface1" [ngClass]="{'border border-maroon ': this.firstnameEmpty}" type="text" id="firstname" [(ngModel)]="form.firstname" name="firstname" />
            </div>
            <div class="flex flex-col">
                <label for="lastname">Last Name</label>
                <input class="bg-surface1" [ngClass]="{'border border-maroon ': this.lastnameEmpty}" type="text" id="lastname" [(ngModel)]="form.lastname" name="lastname" />
            </div>
            <div class="flex flex-col">
                <label for="email">Email</label>
                <input class="bg-surface1" [ngClass]="{'border border-maroon ': this.emailEmpty}" type="email" id="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" [(ngModel)]="form.email" name="email" />
            </div>
            <div class="flex flex-col">
                <label for="password">Password</label>
                <input class="bg-surface1" [ngClass]="{'border border-maroon ': this.passwordEmpty}" type="text" id="password" [(ngModel)]="form.password" name="password" />
            </div>
            <div class="flex flex-col">
                <label for="passwordConfirm">Password Confirm</label>
                <input class="bg-surface1" [ngClass]="{'border border-maroon ': this.notMatchingPassword || this.passwordConfirmEmpty}" type="text" id="passwordConfirm" [(ngModel)]="form.passwordConfirm" name="passwordConfirm" />
            </div>

            <div class="flex justify-center">
                <button type="submit">Sign-up</button>
            </div>
        </form>
    </div>
</section>
